import java.io.*;
public class VediFile {
  public static void main(String args[]) {
    FileInputStream f;
    int c;
    if (args.length != 1)
      System.out.println("Uso: java VediFile <file>");
    else {
      try {
        f = new FileInputStream(args[0]);
      } catch (FileNotFoundException e) {
        System.out.println("Errore in apertura file");
        return;
      }
      try {
        c = f.read();
        while (c > 0) {
          System.out.print((char)c);
          c = f.read();
        }
      } catch (IOException e) {
        System.out.println("Errore in lettura file");
      }
      try {
        f.close();
      } catch (IOException e) {
        System.out.println("Errore in chiusura file");
      }
    }
  }
}

